/*
DO NOT EDIT!

This file is autogenerated by setup.py.  To edit its contents,
edit doc/docstrings.py
*/

/*@unused@*/ static const char doc_DistortionLookupTable[] = "DistortionLookupTable(table, crpix, crval, cdelt)\n\n@param table: 2-dimensional array for the distortion lookup table.\n\n@param crpix: the distortion array reference pixel (a 2-tuple)\n\n@param crval: is the image array pixel coordinate (a 2-tuple)\n\n@param cdelt: is the grid step size (a 2-tuple)\n\nRepresents a single lookup table for a distortion (Paper IV)\ntransformation.\n\nThese objects are used for setting the C{CPDIS} and C{CQDIS} lookup\ntables in a C{Distortion} object.\n";

/*@unused@*/ static const char doc_Sip[] = "Sip(a, b, ap, bp, crpix)\n\nThe Sip class performs polynomial distortion correction using the SIP\nconvention in both directions.\n\nShupe, D. L., M. Moshir, J. Li, D. Makovoz and R. Narron.  2005.\n\"The SIP Convention for Representing Distortion in FITS Image\nHeaders.\"  ADASS XIV.\n\n@param a: The A_i_j polynomial for pixel to focal plane\n    transformation.  Its size must be (m+1, m+1) where m = A_ORDER.\n@type a: numpy array[m+1][m+1] of double\n\n@param b: The B_i_j polynomial for pixel to focal plane\n    transformation.  Its size must be (m+1, m+1) where m = B_ORDER.\n@type b: numpy array[m+1][m+1] of double\n\n@param ap: The AP_i_j polynomial for focal plane to pixel\n    transformation.  Its size must be (m+1, m+1) where m = AP_ORDER.\n@type ap: numpy array[m+1][m+1] of double\n\n@param bp: The BP_i_j polynomial for focal plane to pixel\n    transformation.  Its size must be (m+1, m+1) where m = BP_ORDER.\n@type bp: numpy array[m+1][m+1] of double\n\n@param crpix: The reference pixel.\n@type crpix: numpy array[2] of double\n";

/*@unused@*/ static const char doc_Wcs[] = "Wcs(sip, cpdis, wcsprm)\n\nWcs objects amalgamate basic WCS (as provided by wcslib), with SIP and\nPaper IV distortion operations.\n\nTo perform all distortion corrections and WCS tranformation, use\nL{_all_pix2sky}.\n\n@param sip:\n@type sip: A Sip object\n\n@param cpdis:\n@type cpdis: A 2-tuple of DistortionLookupTable objects, or (None,\n    None)\n\n@param wcsprm:\n@type wcsprm: A Wcsprm object\n";

/*@unused@*/ static const char doc_Wcsprm[] = "Wcsprm(header=None, key=\' \', relax=False, naxis=2)\n\nWcsprm is a direct wrapper around wcslib, and provides access to the\ncore WCS transformations that it supports.\n\nThe FITS header parsing enforces correct FITS \"keyword = value\" syntax\nwith regard to C{\"= \"} occurring in columns 9 and 10.  However, it\ndoes recognize free-format character (NOST 100-2.0, Sect. 5.2.1),\ninteger (Sect. 5.2.3), and floating-point values (Sect. 5.2.4) for all\nkeywords.\n\n@param header: A PyFITS header object or a string containing the raw\n    FITS header data.  If header is not provided, the object will be\n    initialized to default values.\n@type header: PyFITS header object or string\n\n@param key: The key referring to a particular WCS transform in the\n    header.  This may be either C{\' \'} or C{\'A\'}-C{\'Z\'} and\n    corresponds to the C{\"a\"} part of C{\"CTYPEia\"}.  (C{key}\n    may only be provided if C{header} is also provided.)\n@type key: string\n\n@param relax: Degree of permissiveness:\n\n    - C{False}: Recognize only FITS keywords defined by the published\n      WCS standard.\n\n    - C{True}: Admit all recognized informal extensions of the WCS\n      standard.\n\n@type relax: bool\n\n@param naxis: The number of sky coordinates axes for the object.\n    (C{naxis} may only be provided if C{header} is C{None}.)\n@type naxis: int\n\n@raises MemoryError: Memory allocation failed.\n@raises ValueError: Invalid key.\n@raises KeyError: Key not found in FITS header.\n";

/*@unused@*/ static const char doc_a[] = "Get the SIP A_i_j matrix used for pixel to focal plane transformation\nas a numpy array.  Its values may be changed in place, but it may not\nbe resized, without creating a new Sip object.\n\n@type: numpy double array[m+1][m+1]\n";

/*@unused@*/ static const char doc_a_order[] = "Get the order of the polynomial in the SIP A_i_j array (A_ORDER).\n\n@type: int\n";

/*@unused@*/ static const char doc_all_pix2sky[] = "all_pix2sky(pixcrd, origin) -> numpy array[ncoord][nelem] of double\n\nTransforms pixel coordinates to sky coordinates by doing all of the\nfollowing:\n\n    - SIP distortion correction (optionally)\n\n    - Paper IV distortion correction (optionally)\n\n    - wcslib WCS transformation\n\nThe first two (the distortion corrections) are done in parallel.\n\n@param pixcrd: Array of pixel coordinates.\n\n@type pixcrd: numpy array[ncoord][nelem] of double\n\n\n@param origin: Specifies the origin of pixel values.  The Fortran and\nFITS standards use an origin of 1.  Numpy and C use array indexing\nwith origin at 0.\n\n@type origin: int\n\n\n@return: Array of sky coordinates.\n\n@raises MemoryError: Memory allocation failed.\n@raises SingularMatrixError: Linear transformation matrix is singular.\n@raises InconsistentAxisTypesError: Inconsistent or unrecognized\n    coordinate axis types.\n@raises ValueError: Invalid parameter value.\n@raises ValueError: Invalid coordinate transformation parameters.\n@raises ValueError: x- and y-coordinate arrays are not the same size.\n@raises InvalidTransformError: Invalid coordinate transformation\n\n@raises InvalidTransformError: Ill-conditioned coordinate\n    transformation parameters.\n";

/*@unused@*/ static const char doc_alt[] = "Character code for alternate coordinate descriptions.  For example,\nthe C{\"a\"} in keyword names such as C{CTYPEia}).  This is blank for\nthe primary coordinate description, or one of the 26 upper-case\nletters, A-Z.\n\n@type: string\n";

/*@unused@*/ static const char doc_ap[] = "Get the SIP AP_i_j matrix used for focal plane to pixel transformation\nas a numpy array.  Its values may be changed in place, but it may not\nbe resized, without creating a new Sip object.\n\n@type: numpy double array[m+1][m+1]\n";

/*@unused@*/ static const char doc_ap_order[] = "Get the order of the polynomial in the SIP AP_i_j array (AP_ORDER).\n\n@type: int\n";

/*@unused@*/ static const char doc_b[] = "Get the SIP B_i_j matrix used for pixel to focal plane transformation\nas a numpy array.  Its values may be changed in place, but it may not\nbe resized, without creating a new Sip object.\n\n@type: numpy double array[m+1][m+1]\n";

/*@unused@*/ static const char doc_b_order[] = "Get the order of the polynomial in the SIP B_i_j array (B_ORDER).\n\n@type: int\n";

/*@unused@*/ static const char doc_bp[] = "Get the SIP BP_i_j matrix used for focal plane to pixel transformation\nas a numpy array.  Its values may be changed in place, but it may not\nbe resized, without creating a new Sip object.\n\n@type: numpy double array[m+1][m+1]\n";

/*@unused@*/ static const char doc_bp_order[] = "Get the order of the polynomial in the SIP BP_i_j array (BP_ORDER).\n\n@type: int\n";

/*@unused@*/ static const char doc_cd[] = "C{CDi_ja} linear transformation matrix.\n\nFor historical compatibility, two alternate specifications of the\nC{CDi_ja} and C{CROTAia} keywords are supported.  Although these may\nnot formally co-exist with C{PCi_ja}, the approach here is simply to\nignore them if given in conjunction with C{PCi_ja}.\n\nL{has_pci_ja}, L{has_cdi_ja} and L{has_crotaia} can be used to\ndetermine which of these alternatives are present in the header.\n\nC{CDi_ja} and C{CROTAia} keywords, if found, are to be stored in the\nL{cd} and L{crota} arrays which are dimensioned similarly to L{pc} and\nL{cdelt}.\n\nThese alternate specifications of the linear transformation matrix are\ntranslated immediately to C{PCi_ja} by L{set} and are nowhere visible\nto the lower-level routines.  In particular, L{set} resets L{cdelt} to\nunity if C{CDi_ja} is present (and no C{PCi_ja}).  If no C{CROTAia} is\nassociated with the latitude axis, L{set} reverts to a unity C{PCi_ja}\nmatrix.\n\n@type: array[2][2] of double\n";

/*@unused@*/ static const char doc_cdelt[] = "Coordinate increments (C{CDELTia}) for each coord axis.\n\nAn undefined value is represented by NaN.\n\n@type: array[naxis] of double\n";

/*@unused@*/ static const char doc_cel_offset[] = "If true, an offset will be applied to C{(x, y)} to force C{(x,y) = (0,0)}\nat the fiducial point.\n\n@type: boolean\n";

/*@unused@*/ static const char doc_celfix[] = "celfix() -> int\n\nTranslates AIPS-convention celestial projection types, C{-NCP} and\nC{-GLS}.\n\n@return: C{0} for success; C{-1} if no change required.\n";

/*@unused@*/ static const char doc_cname[] = "A list of the coordinate axis names, C{CNAMEia}.\n\n@type: list of strings\n";

/*@unused@*/ static const char doc_colax[] = "An array recording the column numbers for each axis in a pixel\nlist.\n\n@type: array[naxis] of int\n";

/*@unused@*/ static const char doc_colnum[] = "Where the coordinate representation is associated with an image-array\ncolumn in a FITS binary table, this variable may be used to record the\nrelevant column number.\n\nIt should be set to zero for an image header or pixel list.\n";

/*@unused@*/ static const char doc_copy[] = "copy()\n\nCreates a deep copy of the WCS object.\n";

/*@unused@*/ static const char doc_cpdis1[] = "The pre-linear transformation distortion lookup table, C{CPDIS1}.\n";

/*@unused@*/ static const char doc_cpdis2[] = "The pre-linear transformation distortion lookup table, C{CPDIS2}.\n";

/*@unused@*/ static const char doc_crder[] = "The random error in each coordinate axis, C{CRDERia}.\n\nAn undefined value is represented by NaN.\n\n@see: L{csyer}\n@type: array[naxis] of double\n";

/*@unused@*/ static const char doc_crota[] = "C{CROTAia} keyvalues for each coordinate axis.\n\nC{CROTAia} is an alternate specification of the linear transformation\nmatrix, maintained for historical compatibility.\n\n@see: L{cd} for more information.\n\n@type: array[naxis] of double\n";

/*@unused@*/ static const char doc_crpix[] = "Coordinate reference pixels (C{CRPIXja}) for each pixel axis.\n\n@type: array[naxis] of double\n";

/*@unused@*/ static const char doc_crval[] = "Coordinate reference values (C{CRVALia}) for each coordinate axis.\n\n@type: array[naxis] of double\n";

/*@unused@*/ static const char doc_csyer[] = "The systematic error in the coordinate value axes, C{CSYERia}.\n\nAn undefined value is represented by NaN.\n\n@see: L{crder}\n@type: array[naxis] of double\n";

/*@unused@*/ static const char doc_ctype[] = "List of C{CTYPEia} keyvalues.\n\nThe L{ctype} keyword values must be in upper case and there must\nbe zero or one pair of matched celestial axis types, and zero or one\nspectral axis.\n\n@type: list of strings\n";

/*@unused@*/ static const char doc_cubeface[] = "Index into the C{pixcrd} (pixel coordinate) array for the C{CUBEFACE}\naxis.  This is used for quadcube projections where the cube faces are\nstored on a separate axis.\n\nThe quadcube projections (C{TSC}, C{CSC}, C{QSC}) may be represented\nin FITS in either of two ways:\n\n    - The six faces may be laid out in one plane and numbered as\n      follows::\n\n\n                                       0\n\n                              4  3  2  1  4  3  2\n\n                                       5\n\n      Faces 2, 3 and 4 may appear on one side or the other (or both).\n      The sky-to-pixel routines map faces 2, 3 and 4 to the left but\n      the pixel-to-sky routines accept them on either side.\n\n    - The C{\"COBE\"} convention in which the six faces are stored in a\n      three-dimensional structure using a C{\"CUBEFACE\"} axis indexed\n      from 0 to 5 as above.\n\nThese routines support both methods; L{set} determines which is being\nused by the presence or absence of a C{CUBEFACE} axis in L{ctype}.\nL{p2s} and L{s2p} translate the C{CUBEFACE} axis representation to the\nsingle plane representation understood by the lower-level projection\nroutines.\n\n@type: int\n";

/*@unused@*/ static const char doc_cunit[] = "List of C{CUNITia} keyvalues which define the units of measurement of\nthe C{CRVALia}, C{CDELTia} and C{CDi_ja} keywords.\n\nAs C{CUNITia} is an optional header keyword, L{cunit} may be left\nblank but otherwise is expected to contain a standard units\nspecification as defined by WCS Paper I.  Utility function\nC{wcsutrn()}, (not currently wrapped for Python) is available to\ntranslate commonly used non-standard units specifications but this\nmust be done as a separate step before invoking L{set}.\n\nFor celestial axes, if L{cunit} is not blank, L{set} uses C{wcsunits}\nto parse it and scale L{cdelt}, L{crval}, and L{cd} to decimal\ndegrees.  It then resets L{cunit} to \"deg\".\n\nFor spectral axes, if L{cunit} is not blank, L{set} uses C{wcsunits}\nto parse it and scale L{cdelt}, L{crval}, and L{cd} to SI units.  It\nthen resets L{cunit} accordingly.\n\nL{set} ignores L{cunit} for other coordinate types; L{cunit} may be\nused to label coordinate values.\n\n@type: list of strings\n";

/*@unused@*/ static const char doc_cylfix[] = "cylfix() -> int\n\nFixes WCS keyvalues for malformed cylindrical projections.\n\n@return: C{0} for success; C{-1} if no change required.\n";

/*@unused@*/ static const char doc_data[] = "The array data for the distortion lookup table.\n\n@type: numpy array of floats\n";

/*@unused@*/ static const char doc_dateavg[] = "Representative mid-point of the date of observation in ISO format,\nC{yyyy-mm-ddThh:mm:ss}.\n\n@see: L{dateobs}\n@type: string\n";

/*@unused@*/ static const char doc_dateobs[] = "Start of the date of observation in ISO format,\nC{yyyy-mm-ddThh:mm:ss}.\n\n@see: L{dateavg}\n@type: string\n";

/*@unused@*/ static const char doc_datfix[] = "datfix() -> int\n\nTranslates the old C{DATE-OBS} date format to year-2000 standard form\nC{(yyyy-mm-ddThh:mm:ss)} and derives C{MJD-OBS} from it if not already\nset.  Alternatively, if C{mjdobs} is set and C{dateobs} isn\'t, then\nL{datfix} derives C{dateobs} from it.  If both are set but disagree by\nmore than half a day then C{ValueError} is raised.\n\n@return: C{0} for success; C{-1} if no change required.\n";

/*@unused@*/ static const char doc_equinox[] = "The equinox associated with dynamical equatorial or ecliptic\ncoordinate systems, C{EQUINOXa} (or C{EPOCH} in older headers).  Not\napplicable to ICRS equatorial or ecliptic coordinates.\n\nAn undefined value is represented by NaN.\n\n@type: float\n";

/*@unused@*/ static const char doc_fix[] = "fix(translate_units=\'\', naxis=0) -> dict\n\nApplies all of the corrections handled separately by L{datfix},\nL{unitfix}, L{celfix}, L{spcfix} and L{cylfix}.\n\n@param translate_units: Do potentially unsafe translations of\n    non-standard unit strings.\n\n    Although C{\"S\"} is commonly used to represent seconds, its\n    translation to C{\"s\"} is potentially unsafe since the standard\n    recognizes C{\"S\"} formally as Siemens, however rarely that may be\n    used.  The same applies to C{\"H\"} for hours (Henry), and C{\"D\"}\n    for days (Debye).\n\n    This string controls what to do in such cases, and is\n    case-insensitive.\n\n        - If the string contains C{\"s\"}, translate C{\"S\"} to C{\"s\"}.\n        - If the string contains C{\"h\"}, translate C{\"H\"} to C{\"h\"}.\n        - If the string contains C{\"d\"}, translate C{\"D\"} to C{\"d\"}.\n\n    Thus C{\'\'} doesn\'t do any unsafe translations, whereas C{\'shd\'}\n    does all of them.\n\n@type translate_units: string\n\n@param naxis: Image axis lengths.  If this array pointer is set to\n    zero, then L{cylfix} will not be invoked.\n\n@type naxis: array[naxis] of int\n\n@return: A dictionary containing the following keys, each referring to\n    a status string for each of the sub-fix functions that were\n    called: L{datfix}, L{unitfix}, L{celfix}, L{spcfix}, L{cylfix}.\n";

/*@unused@*/ static const char doc_get_offset[] = "get_offset(x, y) -> offset\n\nReturns the offset from the distortion table for pixel point (x, y).\n";

/*@unused@*/ static const char doc_get_ps[] = "get_ps() -> list of tuples\n\nReturns C{PSi_ma} keywords for each I{i} and I{m}.  Returned as a list\nof tuples of the form (I{i}, I{m}, I{value}):\n\n    - I{i}: axis number, as in C{PSi_ma}, (i.e. 1-relative)\n    - I{m}: parameter number, as in C{PSi_ma}, (i.e. 0-relative)\n    - I{value}: parameter value (as a string)\n";

/*@unused@*/ static const char doc_get_pv[] = "get_pv() -> list of tuples\n\nReturns C{PVi_ma} keywords for each I{i} and I{m}.  Returned as a list\nof tuples of the form (I{i}, I{m}, I{value}):\n\n    - I{i}: axis number, as in C{PVi_ma}, (i.e. 1-relative)\n    - I{m}: parameter number, as in C{PVi_ma}, (i.e. 0-relative)\n    - I{value}: parameter value (as a string)\n";

/*@unused@*/ static const char doc_has_cdi_ja[] = "has_cdi_ja() -> bool\n\nReturns C{True} if C{CDi_ja} is present.  C{CDi_ja} is an alternate\nspecification of the linear transformation matrix, maintained for\nhistorical compatibility.\n\nMatrix elements in the IRAF convention are equivalent to the product\nC{CDi_ja = CDELTia * PCi_ja}, but the defaults differ from that of the\nC{PCi_ja} matrix.  If one or more C{CDi_ja} keywords are present then\nall unspecified C{CDi_ja} default to zero.  If no C{CDi_ja} (or\nC{CROTAia}) keywords are present, then the header is assumed to be in\nC{PCi_ja} form whether or not any C{PCi_ja} keywords are present since\nthis results in an interpretation of C{CDELTia} consistent with the\noriginal FITS specification.\n\nWhile C{CDi_ja} may not formally co-exist with C{PCi_ja}, it may\nco-exist with C{CDELTia} and C{CROTAia} which are to be ignored.\n\n@see: L{cd} for more information.\n";

/*@unused@*/ static const char doc_has_crotaia[] = "has_crotaia() -> bool\n\nReturns True if C{CROTAia} is present.  C{CROTAia} is an alternate\nspecification of the linear transformation matrix, maintained for\nhistorical compatibility.\n\nIn the AIPS convention, C{CROTAia} may only be associated with the\nlatitude axis of a celestial axis pair.  It specifies a rotation in\nthe image plane that is applied AFTER the C{CDELTia}; any other\nC{CROTAia} keywords are ignored.\n\nC{CROTAia} may not formally co-exist with C{PCi_ja}.  C{CROTAia} and\nC{CDELTia} may formally co-exist with C{CDi_ja} but if so are to be\nignored.\n\n@see: L{cd} for more information.\n";

/*@unused@*/ static const char doc_has_pci_ja[] = "has_pci_ja() -> bool\n\nReturns True if C{PCi_ja} is present.  C{PCi_ja} is the recommended way\nto specify the linear transformation matrix.\n\n@see: L{cd} for more information.\n";

/*@unused@*/ static const char doc_imgpix_matrix[] = "Inverse of the matrix containing the product of the C{CDELTia}\ndiagonal matrix and the C{PCi_ja} matrix.\n\nI{This value may not be correct until after L{set} is called.}\n\n@type: array[2][2] of double\n";

/*@unused@*/ static const char doc_is_unity[] = "is_unity() -> bool\n\nReturns True if the linear transformation matrix (L{cd}) is unity.\n\nI{This value may not be correct until after L{set} is called.}\n\n@see: L{cd}\n";

/*@unused@*/ static const char doc_lat[] = "The index into the sky coordinate array containing latitude values.\nB{[Read only]}.\n\n@see: L{lng}\n@type: int\n";

/*@unused@*/ static const char doc_latpole[] = "The native latitude of the celestial pole, C{LATPOLEa} (deg).\n\n@see: L{lonpole}\n@type: float\n";

/*@unused@*/ static const char doc_lattyp[] = "Celestial axis type for latitude, e.g. RA.  B{[Read only]}.\n\nI{This value may not be correct until after L{set} is called.}\n\n@see: L{ctype}\n@type: string\n";

/*@unused@*/ static const char doc_lng[] = "The index into the sky coordinate array containing longitude values.\nB{[Read only]}.\n\n@see: L{lat}\n@type: int\n";

/*@unused@*/ static const char doc_lngtyp[] = "Celestial axis type for longitude, e.g. DEC.  B{[Read only]}.\n\nI{This value may not be correct until after L{set} is called.}\n\n@see: L{ctype}\n@type: string\n";

/*@unused@*/ static const char doc_lonpole[] = "The native longitude of the celestial pole, C{LONPOLEa} (deg).\n\n@see: L{latpole}\n@type: float\n";

/*@unused@*/ static const char doc_mix[] = "mix(mixpix, mixcel, vspan, vstep, viter, world, pixcrd, origin) -> dict\n\nGiven either the celestial longitude or latitude plus an element of\nthe pixel coordinate, solves for the remaining elements by iterating\non the unknown celestial coordinate element using L{s2p}.\n\n@param mixpix: Which element on the pixel coordinate is given.\n@type mixpix: int\n\n@param mixcel: Which element of the celestial coordinate is given. If\n    C{1}, celestial longitude is given in C{world[self.L{lng}]},\n    latitude returned in C{world[self.L{lat}]}.  If C{2}, celestial\n    latitude is given in C{world[self.L{lat}]}, longitude returned in\n    C{world[self.L{lng}]}\n\n@type mixcel: int\n\n@param vspan: Solution interval for the celestial coordinate, in\n    degrees.  The ordering of the two limits is irrelevant.  Longitude\n    ranges may be specified with any convenient normalization, for\n    example C{(-120,+120)} is the same as C{(240,480)}, except that\n    the solution will be returned with the same normalization,\n    i.e. lie within the interval specified.\n\n@type vspan: sequence of two floats\n\n@param vstep: Step size for solution search, in degrees.  If C{0}, a\n    sensible, although perhaps non-optimal default will be used.\n\n@type vstep: float\n\n@param viter: If a solution is not found then the step size will be\n    halved and the search recommenced.  C{viter} controls how many\n    times the step size is halved.  The allowed range is 5 - 10.\n\n@type viter: int\n\n@param world: World coordinate elements.  C{world[self.L{lng}]} and\n    C{world[self.L{lat}]} are the celestial longitude and latitude, in\n    degrees.  Which is given and which returned depends on the value\n    of C{mixcel}.  All other elements are given.  The results will be\n    written to this array in-place.\n\n@type world: array[naxis] of double\n\n@param pixcrd: Pixel coordinate.  The element indicated by C{mixpix}\n    is given and the remaining elements will be written in-place.\n\n@type pixcrd: array[naxis] of double\n\n\n@param origin: Specifies the origin of pixel values.  The Fortran and\nFITS standards use an origin of 1.  Numpy and C use array indexing\nwith origin at 0.\n\n@type origin: int\n\n\n@return: A dictionary with the following keys:\n\n    - C{phi} (array[naxis] of double)\n    - C{theta} (array[naxis] of double)\n\n        - Longitude and latitude in the native coordinate system of the\n          projection, in degrees.\n\n    - C{imgcrd} (array[naxis] of double)\n\n        - Image coordinate elements.  C{imgcrd[self.L{lng}]} and\n          C{imgcrd[self.L{lat}]} are the projected I{x}- and\n          I{y}-coordinates, in decimal degrees.\n\n@raise MemoryError: Memory allocation failed.\n@raise SingularMatrixError: Linear transformation matrix is singular.\n@raise InconsistentAxisTypesError: Inconsistent or unrecognized coordinate\n    axis types.\n@raise ValueError: Invalid parameter value.\n@raise InvalidTransformError: Invalid coordinate transformation parameters.\n@raise InvalidTransformError: Ill-conditioned coordinate\ntransformation parameters.\n@raise InvalidCoordinateError: Invalid world coordinate.\n@raise NoSolutionError: No solution found in the specified interval.\n";

/*@unused@*/ static const char doc_mjdavg[] = "Modified Julian Date (MJD = JD - 2400000.5), C{MJD-AVG}, corresponding\nto C{DATE-AVG}.\n\nAn undefined value is represented by NaN.\n\n@see: L{mjdobs}\n@type: float\n";

/*@unused@*/ static const char doc_mjdobs[] = "Modified Julian Date (MJD = JD - 2400000.5), C{MJD-OBS}, corresponding\nto C{DATE-OBS}.\n\nAn undefined value is represented by NaN.\n\n@see: L{mjdavg}\n@type: float\n";

/*@unused@*/ static const char doc_name[] = "The name given to the coordinate representation C{WCSNAMEa}.\n\n@type: string\n";

/*@unused@*/ static const char doc_naxis[] = "The number of axes (pixel and coordinate), given by the C{NAXIS} or\nC{WCSAXESa} keyvalues.  B{[Read only]}.\n\nThe number of coordinate axes is determined at parsing time, and can\nnot be subsequently changed.\n\nIt is determined from the highest of the following:\n\n  1. C{NAXIS}\n\n  2. C{WCSAXESa}\n\n  3. The highest axis number in any parameterized WCS keyword.  The\n     keyvalue, as well as the keyword, must be syntactically valid\n     otherwise it will not be considered.\n\nIf none of these keyword types is present, i.e. if the header only\ncontains auxiliary WCS keywords for a particular coordinate\nrepresentation, then no coordinate description is constructed for it.\n\nThis value may differ for different coordinate representations of the\nsame image.\n\n@type: int\n";

/*@unused@*/ static const char doc_obsgeo[] = "Location of the observer in a standard terrestrial reference frame,\nC{OBSGEO-X}, C{OBSGEO-Y}, C{OBSGEO-Z} (in metres).\n\nAn undefined value is represented by NaN.\n\n@type: array[3] of double\n";

/*@unused@*/ static const char doc_p2s[] = "p2s(pixcrd, origin) -> dict\n\nConverts pixel to sky coordinates.\n\n@param pixcrd: Array of pixel coordinates.\n\n@type pixcrd: numpy array[ncoord][nelem] of double\n\n\n@param origin: Specifies the origin of pixel values.  The Fortran and\nFITS standards use an origin of 1.  Numpy and C use array indexing\nwith origin at 0.\n\n@type origin: int\n\n\n@return: A dictionary with the following keys:\n\n    - C{imgcrd} (array[ncoord][nelem] of double)\n\n        - Array of intermediate sky coordinates.  For celestial axes,\n          C{imgcrd[][self.L{lng}]} and C{imgcrd[][self.L{lat}]} are\n          the projected I{x}-, and I{y}-coordinates, in decimal\n          degrees.  For spectral axes, C{imgcrd[][self.L{spec}]} is\n          the intermediate spectral coordinate, in SI units.\n\n    - C{phi} (array[ncoord] of double)\n\n    - C{theta} (array[ncoord] of double)\n\n        - Longitude and latitude in the native coordinate system of\n          the projection, in degrees.\n\n    - C{world} (array[ncoord][nelem] of double)\n\n        - Array of sky coordinates.  For celestial axes,\n          C{world[][self.L{lng}]} and C{world[][self.L{lat}]} are the\n          celestial longitude and latitude, in decimal degrees.  For\n          spectral axes, C{world[][self.L{spec}]} is the intermediate\n          spectral coordinate, in SI units.\n\n    - C{stat} (array[ncoord] of int)\n\n        - Status return value for each coordinate. C{0} for success,\n          C{1} for invalid pixel coordinate.\n\n@raises MemoryError: Memory allocation failed.\n@raises SingularMatrixError: Linear transformation matrix is singular.\n@raises InconsistentAxisTypesError: Inconsistent or unrecognized\n    coordinate axis types.\n@raises ValueError: Invalid parameter value.\n@raises ValueError: x- and y-coordinate arrays are not the same size.\n@raises InvalidTransformError: Invalid coordinate transformation\n    parameters.\n@raises InvalidTransformError: Ill-conditioned coordinate\n    transformation parameters.\n";

/*@unused@*/ static const char doc_p4_pix2foc[] = "p4_pix2foc(pixcrd, origin) -> numpy array[ncoord][nelem] of double\n\nConvert pixel coordinates to focal plane coordinates using Paper IV\nlookup-table distortion correction.\n\n@param pixcrd: Array of pixel coordinates.\n\n@type pixcrd: numpy array[ncoord][nelem] of double\n\n\n@param origin: Specifies the origin of pixel values.  The Fortran and\nFITS standards use an origin of 1.  Numpy and C use array indexing\nwith origin at 0.\n\n@type origin: int\n\n\n@return: Array of focal plane coordinates.\n\n@raises MemoryError: Memory allocation failed.\n@raises ValueError: Invalid coordinate transformation parameters.\n";

/*@unused@*/ static const char doc_pc[] = "The C{PCi_ja} (pixel coordinate) transformation matrix.  The order is::\n\n  [[PC1_1, PC1_2],\n   [PC2_1, PC2_2]]\n\n@type: array[2][2] of double\n";

/*@unused@*/ static const char doc_phi0[] = "The native latitude of the fiducial point, i.e. the point whose\ncelestial coordinates are given in ref[1:2].  If undefined (NaN) the\ninitialization routine, L{set}, will set this to a projection-specific\ndefault.\n\n@see: L{theta0}\n@type: float\n";

/*@unused@*/ static const char doc_pix2foc[] = "pix2foc(pixcrd, origin) -> numpy array[ncoord][nelem] of double\n\nPerform both SIP polynomial and Paper IV lookup-table distortion\ncorrection in parallel.\n\n@param pixcrd: Array of pixel coordinates.\n\n@type pixcrd: numpy array[ncoord][nelem] of double\n\n\n@param origin: Specifies the origin of pixel values.  The Fortran and\nFITS standards use an origin of 1.  Numpy and C use array indexing\nwith origin at 0.\n\n@type origin: int\n\n\n@return: Array of focal plane coordinates.\n\n@raises MemoryError: Memory allocation failed.\n@raises ValueError: Invalid coordinate transformation parameters.\n";

/*@unused@*/ static const char doc_piximg_matrix[] = "Matrix containing the product of the C{CDELTia} diagonal matrix and\nthe C{PCi_ja} matrix.\n\nI{This value may not be correct until after L{set} is called.}\n\n@type: array[2][2] of double\n";

/*@unused@*/ static const char doc_print_contents[] = "print_contents()\n\nPrint the contents of the WCS object to stdout.  Probably only useful\nfor debugging purposes, and may be removed in the future.\n";

/*@unused@*/ static const char doc_radesys[] = "The equatorial or ecliptic coordinate system type, C{RADESYSa}.\n\n@type: string\n";

/*@unused@*/ static const char doc_restfrq[] = "Rest frequency (Hz) from C{RESTFRQa}.\n\nAn undefined value is represented by NaN.\n\n@see: L{restwav}\n@type: float\n";

/*@unused@*/ static const char doc_restwav[] = "Rest wavelength (m) from C{RESTWAVa}.\n\nAn undefined value is represented by NaN.\n\n@see: L{restfrq}\n@type: float\n";

/*@unused@*/ static const char doc_s2p[] = "s2p(sky, origin) -> dict\n\nTransforms sky coordinates to pixel coordinates.\n\n@param sky: Array of sky coordinates, in decimal degrees.\n\n@type sky: array[ncoord][nelem] of double\n\n\n@param origin: Specifies the origin of pixel values.  The Fortran and\nFITS standards use an origin of 1.  Numpy and C use array indexing\nwith origin at 0.\n\n@type origin: int\n\n\n@return: A dictionary with the following keys:\n        - C{phi} (array[ncoord] of double)\n        - C{theta} (array[ncoord] of double)\n\n            - Longitude and latitude in the native coordinate system\n              of the projection, in degrees.\n\n        - C{imgcrd} (array[ncoord][nelem] of double)\n\n            - Array of intermediate sky coordinates.  For celestial\n              axes, C{imgcrd[][self.L{lng}]} and\n              C{imgcrd[][self.L{lat}]} are the projected I{x}-, and\n              I{y}-coordinates, in \"degrees\".  For quadcube\n              projections with a C{CUBEFACE} axis, the face number is\n              also returned in C{imgcrd[][self.L{cubeface}]}.  For\n              spectral axes, C{imgcrd[][self.L{spec}]} is the\n              intermediate spectral coordinate, in SI units.\n\n        - C{pixcrd} (array[ncoord][nelem] of double)\n\n            - Array of pixel coordinates.  B{Pixel coordinates are\n              zero-based.}\n\n        - C{stat} (array[ncoord] of int)\n\n            - Status return value for each coordinate. C{0} for\n              success, C{1} for invalid pixel coordinate.\n\n@raises MemoryError: Memory allocation failed.\n@raises SingularMatrixError: Linear transformation matrix is singular.\n@raises InconsistentAxisTypesError: Inconsistent or unrecognized\n    coordinate axis types.\n@raises ValueError: Invalid parameter value.\n@raises InvalidTransformError: Invalid coordinate transformation\n    parameters.\n@raises InvalidTransformError: Ill-conditioned coordinate\n    transformation parameters.\n";

/*@unused@*/ static const char doc_set[] = "set()\n\nSets up a WCS object for use according to information supplied within\nit.\n\nNote that this routine need not be called directly; it will be invoked\nby L{p2s} and L{s2p} if necessary.\n\nSome attributes that are based on other attributes (such as L{lattyp} on\nL{ctype}) may not be correct until after L{set} is called.\n\nC{set} strips off trailing blanks in all string members.\n\nAmong all the obvious details, C{set} recognizes the C{NCP} projection\nand converts it to the equivalent C{SIN} projection and it also\nrecognizes C{GLS} as a synonym for C{SFL}.  It does alias translation\nfor the AIPS spectral types (C{FREQ-LSR}, C{FELO-HEL}, etc.) but\nwithout changing the input header keywords.\n\n@raises MemoryError: Memory allocation failed.\n@raises SingularMatrixError: Linear transformation matrix is singular.\n@raises InconsistentAxisTypesError: Inconsistent or unrecognized\n    coordinate axis types.\n@raises ValueError: Invalid parameter value.\n@raises InvalidTransformError: Invalid coordinate transformation\n    parameters.\n@raises InvalidTransformError: Ill-conditioned coordinate transformation\n    parameters.\n";

/*@unused@*/ static const char doc_set_ps[] = "set_ps(list)\n\nSets C{PSi_ma} keywords for each I{i} and I{m}.  The input must be a\nsequence of tuples of the form (I{i}, I{m}, I{value}):\n\n    - I{i}: axis number, as in C{PSi_ma}, (i.e. 1-relative)\n    - I{m}: parameter number, as in C{PSi_ma}, (i.e. 0-relative)\n    - I{value}: parameter value (as a string)\n";

/*@unused@*/ static const char doc_set_pv[] = "set_pv(list)\n\nSets C{PVi_ma} keywords for each I{i} and I{m}.  The input must be a\nsequence of tuples of the form (I{i}, I{m}, I{value}):\n\n    - I{i}: axis number, as in C{PVi_ma}, (i.e. 1-relative)\n    - I{m}: parameter number, as in C{PVi_ma}, (i.e. 0-relative)\n    - I{value}: parameter value (as a string)\n";

/*@unused@*/ static const char doc_sip[] = "Get/set the Sip object for performing SIP distortion correction.\n";

/*@unused@*/ static const char doc_sip_foc2pix[] = "sip_foc2pix(foccrd, origin) -> numpy array[ncoord][nelem] of double\n\nConvert focal plane coordinates to pixel coordinates using the SIP\npolynomial distortion convention.\n\n@param foccrd: Array of focal plane coordinates.\n\n@type foccrd: numpy array[ncoord][nelem] of double\n\n\n@param origin: Specifies the origin of pixel values.  The Fortran and\nFITS standards use an origin of 1.  Numpy and C use array indexing\nwith origin at 0.\n\n@type origin: int\n\n\n@return: Array of pixel coordinates.\n\n@raises MemoryError: Memory allocation failed.\n@raises ValueError: Invalid coordinate transformation parameters.\n";

/*@unused@*/ static const char doc_sip_pix2foc[] = "sip_pix2foc(pixcrd, origin) -> numpy array[ncoord][nelem] of double\n\nConvert pixel coordinates to focal plane coordinates using the SIP\npolynomial distortion convention.\n\n@param pixcrd: Array of pixel coordinates.\n\n@type pixcrd: numpy array[ncoord][nelem] of double\n\n\n@param origin: Specifies the origin of pixel values.  The Fortran and\nFITS standards use an origin of 1.  Numpy and C use array indexing\nwith origin at 0.\n\n@type origin: int\n\n\n@return: Array of focal plane coordinates.\n\n@raises MemoryError: Memory allocation failed.\n@raises ValueError: Invalid coordinate transformation parameters.\n";

/*@unused@*/ static const char doc_spcfix[] = "spcfix() -> int\n\nTranslates AIPS-convention spectral coordinate types.\n{C{FREQ},C{VELO},C{FELO}}-{C{OBS},C{HEL},C{LSR}} (e.g. C{FREQ-LSR},\nC{VELO-OBS}, C{FELO-HEL})\n\n@return: C{0} for success; C{-1} if no change required.\n";

/*@unused@*/ static const char doc_spec[] = "The index containing the spectral axis values.  B{[Read only]}.\n\n@type: int\n";

/*@unused@*/ static const char doc_specsys[] = "Spectral reference frame (standard of rest), C{SPECSYSa}\n\n@see: L{ssysobs}, L{velosys}.\n@type: string\n";

/*@unused@*/ static const char doc_sptr[] = "sptr(ctype, i=-1)\n\nTranslates the spectral axis in a WCS object.  For example, a C{FREQ}\naxis may be translated into C{ZOPT-F2W} and vice versa.\n\n@param ctype: Required spectral C{CTYPEia}.  Wildcarding may be used,\n    i.e.  if the final three characters are specified as C{\"???\"}, or\n    if just the eighth character is specified as C{\"?\"}, the correct\n    algorithm code will be substituted and returned.\n@type ctype: string\n\n@param i: Index of the spectral axis (0-rel).  If C{i < 0} (or not\n    provided), it will be set to the first spectral axis identified\n    from the C{CTYPE} keyvalues in the FITS header.\n@type i: int\n\n@raises MemoryError: Memory allocation failed.\n@raises SingularMatrixError: Linear transformation matrix is singular.\n@raises InconsistentAxisTypesError: Inconsistent or unrecognized\n    coordinate axis types.\n@raises ValueError: Invalid parameter value.\n@raises InvalidTransformError: Invalid coordinate transformation\n    parameters.\n@raises InvalidTransformError: Ill-conditioned coordinate\n    transformation parameters.\n@raises InvalidSubimageSpecificationError: Invalid subimage\n    specification (no spectral axis).\n";

/*@unused@*/ static const char doc_ssysobs[] = "The actual spectral reference frame in which there is no differential\nvariation in the spectral coordinate across the field-of-view,\nC{SSYSOBSa}.\n\n@see: L{specsys}, L{velosys}\n@type: string\n";

/*@unused@*/ static const char doc_ssyssrc[] = "The spectral reference frame (standard of rest) in which the redshift\nwas measured, C{SSYSSRCa}.\n\n@see: L{zsource}\n@type: string\n";

/*@unused@*/ static const char doc_theta0[] = "The native longitude of the fiducial point, i.e. the point whose\ncelestial coordinates are given in ref[1:2].  If undefined (NaN) the\ninitialization routine, L{set}, will set this to a projection-specific\ndefault.\n\n@see: L{phi0}\n@type: float\n";

/*@unused@*/ static const char doc_to_header[] = "to_header(relax=False) -> string\n\nL{to_header} translates a WCS object into a FITS header.\n\n    - If the L{colnum} member is non-zero then a binary table image\n      array header will be produced.\n\n    - Otherwise, if the L{colax} member is set non-zero then a pixel\n      list header will be produced.\n\n    - Otherwise, a primary image or image extension header will be\n      produced.\n\nThe output header will almost certainly differ from the input in a\nnumber of respects:\n\n    1. The output header only contains WCS-related keywords.  In\n       particular, it does not contain syntactically-required keywords\n       such as C{SIMPLE}, C{NAXIS}, C{BITPIX}, or C{END}.\n\n    2. Deprecated (e.g. C{CROTAn}) or non-standard usage will be\n       translated to standard (this is partially dependent on whether\n       L{fix} was applied).\n\n    3. Quantities will be converted to the units used internally,\n       basically SI with the addition of degrees.\n\n    4. Floating-point quantities may be given to a different decimal\n       precision.\n\n    5. Elements of the C{PCi_j} matrix will be written if and only if\n       they differ from the unit matrix.  Thus, if the matrix is unity\n       then no elements will be written.\n\n    6. Additional keywords such as C{WCSAXES}, C{CUNITia}, C{LONPOLEa}\n       and C{LATPOLEa} may appear.\n\n    7. The original keycomments will be lost, although L{to_header}\n       tries hard to write meaningful comments.\n\n    8. Keyword order may be changed.\n\nKeywords can be translated between the image array, binary table, and\npixel lists forms by manipulating the L{colnum} or L{colax} members of\nthe WCS object.\n\n@param relax: Degree of permissiveness:\n    - C{False}: Recognize only FITS keywords defined by the\n      published WCS standard.\n    - C{True}: Admit all recognized informal extensions of the\n      WCS standard.\n@type relax: bool\n\n@return: A raw FITS header as a string.\n";

/*@unused@*/ static const char doc_unitfix[] = "unitfix(translate_units=\'\') -> int\n\nTranslates non-standard C{CUNITia} keyvalues.  For example, C{DEG} ->\nC{deg}, also stripping off unnecessary whitespace.\n\n@param translate_units: Do potentially unsafe translations of\n    non-standard unit strings.\n\n    Although C{\"S\"} is commonly used to represent seconds, its\n    recognizes C{\"S\"} formally as Siemens, however rarely that may be\n    translation to C{\"s\"} is potentially unsafe since the standard\n    used.  The same applies to C{\"H\"} for hours (Henry), and C{\"D\"}\n    for days (Debye).\n\n    This string controls what to do in such cases, and is\n    case-insensitive.\n\n        - If the string contains C{\"s\"}, translate C{\"S\"} to C{\"s\"}.\n        - If the string contains C{\"h\"}, translate C{\"H\"} to C{\"h\"}.\n        - If the string contains C{\"d\"}, translate C{\"D\"} to C{\"d\"}.\n\n    Thus C{\'\'} doesn\'t do any unsafe translations, whereas C{\'shd\'}\n    does all of them.\n\n@return: C{0} for success; C{-1} if no change required.\n";

/*@unused@*/ static const char doc_velangl[] = "The angle in degrees that should be used to decompose an observed\nvelocity into radial and transverse components.\n\nAn undefined value is represented by NaN.\n\n@type: float\n";

/*@unused@*/ static const char doc_velosys[] = "The relative radial velocity (m/s) between the observer and the\nselected standard of rest in the direction of the celestial reference\ncoordinate, C{VELOSYSa}.\n\nAn undefined value is represented by NaN.\n\n@see: L{specsys}, L{ssysobs}\n@type: float\n";

/*@unused@*/ static const char doc_wcs[] = "A Wcsprm object to perform the basic wcslib WCS tranformation.\n";

/*@unused@*/ static const char doc_zsource[] = "The redshift, C{ZSOURCEa}, of the source.\n\nAn undefined value is represented by NaN.\n\n@see: L{ssyssrc}\n@type: float\n";

